How can I install volatility on Ubuntu 20.10? I get error: "E: Package 'volatility' has no installation candidate"

Im trying to install a program called volatility for memory analyzing. I found the source here: https://github.com/volatilityfoundation/volatility

Commands:

sudo apt-get update -y
sudo apt-get install -y volatility

Error:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package volatility is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'volatility' has no installation candidate
Asked By: Europa

||

Here’s how you install it https://github.com/volatilityfoundation/volatility/wiki/Installation and then you run it with python. I believe you can’t get it with apt-get as it isn’t in kali-tools-forensics metapackage anymore. You also may have to install some additional libraries – I needed to install Distorm3 and PyCrypto –
https://github.com/volatilityfoundation/volatility/wiki/FAQ#what-are-the-dependencies-for-running-volatility

Answered By: Katarina Zivkovic
Categories: Answers Tags: ,
Answers are sorted by their score. The answer accepted by the question owner as the best is marked with
at the top-right corner.